bcStangle {RbcBook1} | R Documentation

## A function to extract the code chunks from the book for the online supplement

### Description

A function to extract the code chunks from the book for the online supplement.

### Usage

     bcStangle(files = .RbcBook1Files(), outfile= "bioCSpringer.R")
     tangleToSingleFiles()

### Arguments

`files` | character vector with filenames of book chapters. Must have extension `.Rnw`
`outfile` | character of length 1 with the name of the output file.

### Details

It should suffice to change to the book's top level directory (e.g. .../Springer1/trunk/Book1) and run `bcStangle()`.

This function is specialized to its one purpose given in the title. It is not envisaged that it could be useful beyond, or even replace Stangle.

`tangleToSingleFiles` creates a directory named Rfiles and tangles each chapter separately into this directory. You must have the current working directory set to the top level directory of the book (Springer/Book1).

### Value

Function is called for its side effects.

### Author(s)

Wolfgang Huber <huber@ebi.ac.uk>

### See Also

.RbcBook1Files, Stangle

### Examples

      ## bcStangle()

[Package RbcBook1 version 1.12.0 Index]